%global qt_module qtscxml

Summary: 	Qt5 - ScXml component
Name:    	qt5-%{qt_module}
Version: 	5.15.10
Release: 	1

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License: 	LGPL-3.0-only OR GPL-3.0-only WITH Qt-GPL-exception-1.0
Url:     	http://www.qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
Source0: 	https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  qt5-qtbase-devel >= %{version}
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires:  qt5-qtdeclarative-devel >= %{version}

%description
The Qt SCXML module provides functionality to create state machines from SCXML files.
This includes both dynamically creating state machines loading the SCXML file and instantiating states and transitions)
and generating a C++ file that has a class implementing the state machine.
It also contains functionality to support data models and executable content.

%package devel
Summary: 	Development files for %{name}
Requires: 	%{name}%{?_isa} = %{version}-%{release}
Requires: 	qt5-qtbase-devel%{?_isa}
Requires: 	qt5-qtdeclarative-devel%{?_isa}
%description devel
%{summary}.

%package examples
Summary: 	Programming examples for %{name}
Requires: 	%{name}%{?_isa} = %{version}-%{release}
%description examples
%{summary}.


%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1


%build
%{qmake_qt5} \
  %{?_qt5_examplesdir:CONFIG+=qt_example_installs}

%make_build


%install
make install INSTALL_ROOT=%{buildroot}


%ldconfig_scriptlets

%files
%license LICENSE.*
%{_qt5_libdir}/libQt5Scxml.so.5*
%{_qt5_bindir}/qscxmlc
%{_qt5_qmldir}/QtScxml/

%files devel
%{_qt5_headerdir}/QtScxml/
%{_qt5_libdir}/libQt5Scxml.so
%{_qt5_libdir}/libQt5Scxml.prl
%{_qt5_libdir}/pkgconfig/Qt5Scxml.pc
%{_qt5_libdir}/cmake/Qt5Scxml
%{_qt5_archdatadir}/mkspecs/features/qscxmlc.prf
%{_qt5_archdatadir}/mkspecs/modules/*
%exclude %{_qt5_libdir}/libQt5Scxml.la

%if 0%{?_qt5_examplesdir:1}
%files examples
%{_qt5_examplesdir}/
%endif


%changelog
* Mon Aug 21 2023 huayadong <huayadong@kylinos.cn> - 5.15.10-1
- update to version 5.15.10-1

* Tue Jun 28 2022 tanyulong <tanyulong@kyinos.cn> - 5.15.2-1
- init package for openEuler

